.. currentmodule:: sardana.taurus.core.tango.sardana.pool

=================
Taurus Extensions
=================

.. rubric:: Functions

.. hlist::
    :columns: 3

    * :func:`registerExtensions`
    * :func:`unregisterExtensions`

.. rubric:: Classes

.. hlist::
    :columns: 4

    * :class:`BaseElement`
    * :class:`Controller`
    * :class:`ControllerClass`
    * :class:`CTExpChannel`
    * :class:`ExpChannel`
    * :class:`Instrument`
    * :class:`IORegister`
    * :class:`MeasurementGroup`
    * :class:`Motor`
    * :class:`MotorGroup`
    * :class:`OneDExpChannel`
    * :class:`Pool`
    * :class:`PoolElement`
    * :class:`PseudoCounter`
    * :class:`PseudoMotor`
    * :class:`TriggerGate`
    * :class:`TwoDExpChannel`
    * :class:`ZeroDExpChannel`

.. autofunction:: registerExtensions
.. autofunction:: unregisterExtensions

BaseElement
-----------

.. inheritance-diagram:: BaseElement
    :parts: 1

.. autoclass:: BaseElement
    :show-inheritance:
    :members:
    :undoc-members:
      
Controller
----------

.. inheritance-diagram:: Controller
    :parts: 1

.. autoclass:: Controller
    :show-inheritance:
    :members:
    :undoc-members:
      
ControllerClass
---------------

.. inheritance-diagram:: ControllerClass
    :parts: 1

.. autoclass:: ControllerClass
    :show-inheritance:
    :members:
    :undoc-members:


CTExpChannel
------------

.. inheritance-diagram:: CTExpChannel
    :parts: 1

.. autoclass:: CTExpChannel
    :show-inheritance:
    :members:
    :undoc-members:

ExpChannel
----------

.. inheritance-diagram:: ExpChannel
    :parts: 1

.. autoclass:: ExpChannel
    :show-inheritance:
    :members:
    :undoc-members:
      
Instrument
----------

.. inheritance-diagram:: Instrument
    :parts: 1

.. autoclass:: Instrument
    :show-inheritance:
    :members:
    :undoc-members:
       
IORegister
----------

.. inheritance-diagram:: IORegister
    :parts: 1

.. autoclass:: IORegister
    :show-inheritance:
    :members:
    :undoc-members:

  
MeasurementGroup
----------------

.. inheritance-diagram:: MeasurementGroup
    :parts: 1

.. autoclass:: MeasurementGroup
    :show-inheritance:
    :members:
    :undoc-members:
      
Motor
-----

.. inheritance-diagram:: Motor
    :parts: 1

.. autoclass:: Motor
    :show-inheritance:
    :members:
    :undoc-members:
      
MotorGroup
----------

.. inheritance-diagram:: MotorGroup
    :parts: 1

.. autoclass:: MotorGroup
    :show-inheritance:
    :members:
    :undoc-members:

OneDExpChannel
--------------

.. inheritance-diagram:: OneDExpChannel
    :parts: 1

.. autoclass:: OneDExpChannel
    :show-inheritance:
    :members:
    :undoc-members:
      
Pool
----

.. inheritance-diagram:: Pool
    :parts: 1

.. autoclass:: Pool
    :show-inheritance:
    :members:
    :undoc-members:
      
PoolElement
-----------

.. inheritance-diagram:: PoolElement
    :parts: 1

.. autoclass:: PoolElement
    :show-inheritance:
    :members:
    :undoc-members:
   
PseudoCounter
-------------

.. inheritance-diagram:: PseudoCounter
    :parts: 1

.. autoclass:: PseudoCounter
    :show-inheritance:
    :members:
    :undoc-members:

PseudoMotor
-----------

.. inheritance-diagram:: PseudoMotor
    :parts: 1

.. autoclass:: PseudoMotor
    :show-inheritance:
    :members:
    :undoc-members:
       
TriggerGate
-----------

.. inheritance-diagram:: TriggerGate
    :parts: 1

.. autoclass:: TriggerGate
    :show-inheritance:
    :members:
    :undoc-members:
   
TwoDExpChannel
--------------

.. inheritance-diagram:: TwoDExpChannel
    :parts: 1

.. autoclass:: TwoDExpChannel
    :show-inheritance:
    :members:
    :undoc-members:

ZeroDExpChannel
---------------

.. inheritance-diagram:: ZeroDExpChannel
    :parts: 1

.. autoclass:: ZeroDExpChannel
    :show-inheritance:
    :members:
    :undoc-members:
